Page MenuHomePhabricator

Make MathSearch 1.35 compatible
Closed, ResolvedPublic

Description

Caused by https://phabricator.wikimedia.org/T248549

currently shows

Fatal error: Uncaught ExtensionDependencyError: MathSearch is not compatible with the current MediaWiki core (version 1.35.0-alpha), it requires: >= 1.32.0 < 1.35. in

Event Timeline

Physikerwelt updated the task description. (Show Details)

Change 585960 had a related patch set uploaded (by Physikerwelt; owner: Physikerwelt):
[mediawiki/extensions/MathSearch@master] Make MathSearch compatible to MW 1.35

https://gerrit.wikimedia.org/r/585960

Change 585960 merged by jenkins-bot:
[mediawiki/extensions/MathSearch@master] Make MathSearch compatible to MW 1.35

https://gerrit.wikimedia.org/r/585960

... update ... this is not yet done

continue here https://en.formulasearchengine.com/index.php?title=Special:FormulaInfo&pid=225564&eid=math.225564.2

[76d41a50244d77d5e76d2bee] /index.php?title=Special:FormulaInfo&pid=225564&eid=math.225564.2 Wikimedia\Rdbms\DBQueryError from line 1619 of /var/www/html/includes/libs/rdbms/database/Database.php: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading?
Query: SELECT identifier,evidence,noun FROM `mathsemantics` WHERE revision_id = '225564' ORDER BY evidence desc
Function: MathObject::getRelations
Error: 1054 Unknown column 'revision_id' in 'where clause' (db)

There was an issue with manual database import.